
Redmine - Defect #2266

PGError after svn up to 2082 && add plugin 'Customer'

2008-12-02 16:14 - Serge Kosse

Status: Closed Start date: 2008-12-02

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Hello world.

My hands_motions:

svn up

Status against revision:   2082

ruby script/plugin install http://svn.rails-engines.org/engines/tags/rel_2.0.0/

mv vendor/plugins/rel_2.0.0 vendor/plugins/engines

rake db:migrate_plugins

git clone git://github.com/edavis10/redmine-customer-plugin.git vendor/plugins/customer_plugin

rake db:migrate_plugins #without RAILS_ENV??? 8-0

mongrel_rails cluster::stop

mongrel_rails cluster::start

Without any errors or warnings!

Login into app, && goto /projects/activity/progect_uid

Parameters: {"action"=>"activity", "id"=>"portamarket", "controller"=>"projects"}

ActiveRecord::StatementInvalid (PGError: ERROR:  for SELECT DISTINCT, ORDER BY expressions must appear in select list

: SELECT DISTINCT "journals".id FROM "journals"  LEFT OUTER JOIN "issues" ON "issues".id = "journals".journalized_id  LEFT

OUTER JOIN "projects" ON "projects".

id = "issues".project_id  LEFT OUTER JOIN "journal_details" ON journal_details.journal_id = journals.id     WHERE

(journals.journalized_type = 'Issue' AND (jou

rnal_details.prop_key = 'status_id' OR journals.notes <> '')) AND (1=1 AND (journals.created_on BETWEEN '2008-11-03' AND

'2008-12-03') AND ((projects.id = 17 O

R projects.parent_id = 17) AND (projects.status=1 AND EXISTS (SELECT em.id FROM enabled_modules em WHERE

em.name='issue_tracking' AND em.project_id=projects.id

))))  ORDER BY journals.created_on DESC LIMIT 10):

Or goto account/show/account_id

Parameters: {"action"=>"show", "id"=>"3", "controller"=>"account"}

ActiveRecord::StatementInvalid (PGError: ERROR:  for SELECT DISTINCT, ORDER BY expressions must appear in select list

: SELECT DISTINCT "journals".id FROM "journals"  LEFT OUTER JOIN "issues" ON "issues".id = "journals".journalized_id  LEFT

OUTER JOIN "projects" ON "projects".

id = "issues".project_id  LEFT OUTER JOIN "journal_details" ON journal_details.journal_id = journals.id     WHERE

(journals.journalized_type = 'Issue' AND (jou

rnal_details.prop_key = 'status_id' OR journals.notes <> '')) AND (1=1 AND (journals.user_id = 3) AND (((projects.status=1 AND

EXISTS (SELECT em.id FROM enable

d_modules em WHERE em.name='issue_tracking' AND em.project_id=projects.id)) AND (1=0 OR projects.is_public = 't' OR

projects.id IN (1,2,4,11,3,14,19,20,22)))))

ORDER BY journals.created_on DESC LIMIT 10):

WTF???

Associated revisions
http://svn.rails-engines.org/engines/tags/rel_2.0.0/


Revision 2083 - 2008-12-02 18:16 - Jean-Philippe Lang

Fixed: activity broken by r2066 with postgresql (#2266).

History

#1 - 2008-12-02 18:13 - Jean-Philippe Lang

- Category set to Database

- Status changed from New to Closed

- Resolution set to Fixed

The problem was not related to the plugin but r2066.

It's fixed in r2083.

Note that current trunk, you shouldn't install the engines plugin as it's already bundled by the app.
